Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class ActiveXShape

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.SimpleShape
              org.apache.poi.hslf.model.Picture
                  org.apache.poi.hslf.model.ActiveXShape

    public final class ActiveXShape

extends Picture

Represents an ActiveX control in a PowerPoint document. TODO: finish

Author:
  Yegor Kozlov

Field Summary
`static int` | `DEFAULT_ACTIVEX_THUMBNAIL`

Fields inherited from class org.apache.poi.hslf.model.Picture
`DIB, EMF, JPEG, PICT, PNG, WMF`

Fields inherited from class org.apache.poi.hslf.model.SimpleShape
`DEFAULT_LINE_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.Shape
`EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`ActiveXShape(int movieIdx, int pictureIdx)` Create a new `Picture`

Method Summary
`int` | `getControlIndex()`
`ExControl` | `getExControl()` Document-level container that specifies information about an ActiveX control
`void` | `setActiveXIndex(int idx)` Assign a control to this shape
`void` | `setProperty(java.lang.String key, java.lang.String value)` Set a property of this ActiveX control

Methods inherited from class org.apache.poi.hslf.model.Picture
`draw, getPictureData, getPictureIndex, getPictureName, setDefaultSize, setPictureName`

Methods inherited from class org.apache.poi.hslf.model.SimpleShape
`getFillColor, getFlipHorizontal, getFlipVertical, getLineColor, getLineDashing, getLineStyle, getLineWidth, getLogicalAnchor2D, getRotation, setFillColor, setHyperlink, setLineColor, setLineDashing, setLineStyle, setLineWidth, setRotation`

Methods inherited from class org.apache.poi.hslf.model.Shape
`getAnchor, getAnchor2D, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getOutline, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType, setSheet`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ACTIVEX_THUMBNAIL

    public static final int DEFAULT_ACTIVEX_THUMBNAIL

See Also:
  Constant Field Values

Constructor Detail

### ActiveXShape

    public ActiveXShape(int movieIdx,
                        int pictureIdx)

  Create a new `Picture`

  Parameters:
    `pictureIdx` - the index of the picture

Method Detail

### setActiveXIndex

    public void setActiveXIndex(int idx)

  Assign a control to this shape

  Parameters:
    `idx` - the index of the movie
  See Also:
    `SlideShow.addMovie(String, int)`

### getControlIndex

    public int getControlIndex()

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

  Set a property of this ActiveX control

  Parameters:
    `key` -
    `value` -

### getExControl

    public ExControl getExControl()

  Document-level container that specifies information about an ActiveX control

  Returns:
    container that specifies information about an ActiveX control

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD